package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ClewVideo;

/**
 * 线索视频Service接口
 *
 * @author ruoyi
 * @date 2023-11-06
 */
public interface IClewVideoService
{
    /**
     * 查询线索视频
     *
     * @param id 线索视频主键
     * @return 线索视频
     */
    public ClewVideo selectClewVideoById(Long id);

    /**
     * 查询线索视频列表
     *
     * @param clewVideo 线索视频
     * @return 线索视频集合
     */
    public List<ClewVideo> selectClewVideoList(ClewVideo clewVideo);

    /**
     * 新增线索视频
     *
     * @param clewVideo 线索视频
     * @return 结果
     */
    public int insertClewVideo(ClewVideo clewVideo);

    /**
     * 修改线索视频
     *
     * @param clewVideo 线索视频
     * @return 结果
     */
    public int updateClewVideo(ClewVideo clewVideo);

    /**
     * 批量删除线索视频
     *
     * @param ids 需要删除的线索视频主键集合
     * @return 结果
     */
    public int deleteClewVideoByIds(String ids);

    /**
     * 删除线索视频信息
     *
     * @param id 线索视频主键
     * @return 结果
     */
    public int deleteClewVideoById(Long id);
}
